---
title: "Interview Prep"
description: "Career-oriented workshop focused preparing for technical interviews. We introduce the basic required knowledge of data structures and algorithms and solve many common problems from real interviews. We also offer 1-on-1 mock interview sessions and resume reviews. Come check us out!"
icon: "/assets/icons/chat.svg"
link: "/groups/interviewprep"
---

<style>
.ext-link {
  color: #3498db !important;
}
</style>

<div style="background-color: white">

---

</div>

### Leaders

- Tung Dao
- Seth
- Jesse Lutan

### Weekly Meeting

Fridays 1:30 - 4pm in the <a rel="noreferrer noopener" target="__blank" href="https://discord.gg/BpaFS4h" class="ext-link">Discord</a> server's "interview-prep" channel

### Description

Interview prep is a career-oriented group focused on preparing for technical interview questions. If you are a career-minded developer looking to get a head start on landing internships and jobs with tech companies, then this is the place to be!

It is recommended for new members to have experience coding in at least one language, and very basic knowledge of object-oriented programming. Many of the topics we cover are similar to those taught in CIS 22C at De Anza. These include

- Linked Lists
- Big-O Notation
- Stacks and Queues
- Hashtables and Hashsets
- Sorting Algorithms
- Trees and Graphs

We explain these topics enough to start solving some basic coding problems that are often brought up in real interviews.

### Resources

<a rel="noreferrer noopener" target="__blank" href="https://www.pramp.com/#/" class="ext-link">Pramp</a> is an online resource for practicing live mock interviews and interview questions with peers, free of charge. Proven to help with job interview skills by thousands of professionals.

<a rel="noreferrer noopener" target="__blank" href="https://leetcode.com/" class="ext-link">LeetCode</a> is an online resource for learning and practicing solutions to coding problems, designed to prepare for techincal interviews. Basic understanding of at least 1 programming language is recommended. Great for beginners.

### Gallery

<div 
  style="width: 80vw; display: flex; flex-direction: row; flex-wrap: nowrap; overflow-y: hidden; overflow-x: auto;"
>
  <img class="mx-3" style="width: 80vw; max-width: 1920px;" src="/images/groups/interprep/10-30-2020.png" alt="Fall 2020 Day 5"></img>
  <img class="mx-3" style="width: 80vw; max-width: 1920px;" src="/images/groups/interprep/1-29-2021.png" alt="Winter 2021 Day 1"></img>
</div>
